Name:		fex
Version:	2.0.0
Release:	3%{?dist}
Summary:	Field split/extraction like cut/awk

Group:		Applications/Text
License:	BSD
URL:		http://semicomplete.com/projects/fex/
Source0:	https://github.com/jordansissel/%{name}/archive/v%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(Pod::Man)

%description
Fex is a powerful field extraction tool. Fex provides a very concise language
for tokenizing strings and extracting fields.

%prep
%setup -q
# snprintf has a license incompatible with Fedora
# It is only used on Solaris so just delete the directory to avoid confusion or
# problems with licensing.
rm -rf snprintf_2.2

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"
make %{?_smp_mflags} CFLAGS="%{optflags}" fex.1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}  PREFIX=%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Mark McKinstry <mmckinst@umich.edu> - 2.0.0-1
- upgrade to fex 2.0.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20100416.2814-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20100416.2814-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20100416.2814-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20100416.2814-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20100416.2814-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20100416.2814-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan  9 2012 Mark McKinstry <mmckinst@nexcess.net> - 1.20100416.2814-2
- fix typo in description
- add a clean section to the spec
- add it to the Applications/Text group in the spec

* Sun Jan  1 2012 Mark McKinstry <mmckinst@nexcess.net> - 1.20100416.2814-1
- initial build

